#!/usr/bin/sh
#COBALT -n 1 -A datascience -t 1:00:00 -q debug-cache-quad --jobname=testh5job
module load datascience/tensorflow-1.15
#module load cray-hdf5-parallel/1.10.5.1
module load darshan/3.2.1-nompi
export DARSHAN_PRELOAD=/soft/perftools/darshan/darshan-3.2.1-nompi/lib/libdarshan.so
export DXT_ENABLE_IO_TRACE=1
export DARSHAN_ENABLE_NONMPI=1
export HDF5_USE_FILE_LOCKING=FALSE
aprun  -n $COBALT_JOBSIZE -N 1 -j 1 -cc depth -e DXT_ENABLE_IO_TRACE=1 -e  DARSHAN_ENABLE_NONMPI=1 -e LD_PRELOAD=${DARSHAN_PRELOAD} \
python ./test.py
